/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ToolActionInfoDescription } from "./ToolActionInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionFieldSelectorInfoDescription = /*@__PURE__*/ (() => {
    class ToolActionFieldSelectorInfoDescription extends ToolActionInfoDescription {
        get_type() {
            return "ToolActionFieldSelectorInfo";
        }
        constructor() {
            super();
            this.bn = null;
            this.bo = null;
            this.bi = false;
            this.bh = false;
            this.bm = null;
            this.bp = null;
            this.bq = null;
        }
        get dataSourceRef() {
            return this.bn;
        }
        set dataSourceRef(a) {
            this.bn = a;
            this.g("DataSourceRef");
        }
        get fieldType() {
            return this.bo;
        }
        set fieldType(a) {
            this.bo = a;
            this.g("FieldType");
        }
        get updateDataSource() {
            return this.bi;
        }
        set updateDataSource(a) {
            this.bi = a;
            this.g("UpdateDataSource");
        }
        get singleSelection() {
            return this.bh;
        }
        set singleSelection(a) {
            this.bh = a;
            this.g("SingleSelection");
        }
        get aggregationsRef() {
            return this.bm;
        }
        set aggregationsRef(a) {
            this.bm = a;
            this.g("AggregationsRef");
        }
        get rulesRef() {
            return this.bp;
        }
        set rulesRef(a) {
            this.bp = a;
            this.g("RulesRef");
        }
        get selectedAggregationsRef() {
            return this.bq;
        }
        set selectedAggregationsRef(a) {
            this.bq = a;
            this.g("SelectedAggregationsRef");
        }
    }
    ToolActionFieldSelectorInfoDescription.$t = /*@__PURE__*/ markType(ToolActionFieldSelectorInfoDescription, 'ToolActionFieldSelectorInfoDescription', ToolActionInfoDescription.$);
    ToolActionFieldSelectorInfoDescription.__marshalByValue1 = true;
    ToolActionFieldSelectorInfoDescription.__marshalByValueAlias1 = "ToolActionFieldSelectorInfo";
    return ToolActionFieldSelectorInfoDescription;
})();
